# Uses of Class
org.apache.sling.event.impl.jobs.config.JobManagerConfiguration

Packages that use JobManagerConfiguration
Package
Description
org.apache.sling.event.impl.jobs
org.apache.sling.event.impl.jobs.config
org.apache.sling.event.impl.jobs.queues
org.apache.sling.event.impl.jobs.scheduling
org.apache.sling.event.impl.jobs.tasks

## Uses of JobManagerConfiguration in org.apache.sling.event.impl.jobs

Constructors in org.apache.sling.event.impl.jobs with parameters of type JobManagerConfiguration
Modifier
Constructor
Description
``
`JobHandler(JobImpl job, org.apache.sling.event.jobs.consumer.JobExecutor consumer, JobManagerConfiguration configuration)`

## Uses of JobManagerConfiguration in org.apache.sling.event.impl.jobs.config

Constructors in org.apache.sling.event.impl.jobs.config with parameters of type JobManagerConfiguration
Modifier
Constructor
Description
``
`TopologyCapabilities(org.apache.sling.discovery.TopologyView view, JobManagerConfiguration config)`
Create a new instance

## Uses of JobManagerConfiguration in org.apache.sling.event.impl.jobs.queues

Fields in org.apache.sling.event.impl.jobs.queues declared as JobManagerConfiguration
Modifier and Type
Field
Description
`JobManagerConfiguration`
QueueServices.`configuration`
Methods in org.apache.sling.event.impl.jobs.queues with parameters of type JobManagerConfiguration
Modifier and Type
Method
Description
`static QueueManager`
QueueManager.`newForTest(org.osgi.service.event.EventAdmin eventAdmin, JobConsumerManager jobConsumerManager, org.apache.sling.event.jobs.jmx.QueuesMBean queuesMBean, org.apache.sling.commons.threads.ThreadPoolManager threadPoolManager, org.apache.sling.commons.threads.ThreadPool threadPool, JobManagerConfiguration configuration, StatisticsManager statisticsManager)`
Constructors in org.apache.sling.event.impl.jobs.queues with parameters of type JobManagerConfiguration
Modifier
Constructor
Description
``
`QueueJobCache(JobManagerConfiguration configuration, String queueName, StatisticsManager statisticsManager, org.apache.sling.event.jobs.QueueConfiguration.Type queueType, Set<String> topics)`
Create a new queue job cache

## Uses of JobManagerConfiguration in org.apache.sling.event.impl.jobs.scheduling

Constructors in org.apache.sling.event.impl.jobs.scheduling with parameters of type JobManagerConfiguration
Modifier
Constructor
Description
``
`JobSchedulerImpl(JobManagerConfiguration configuration, org.apache.sling.commons.scheduler.Scheduler scheduler, JobManagerImpl jobManager)`
Create the scheduler
``
`ScheduledJobHandler(JobManagerConfiguration configuration, JobSchedulerImpl jobScheduler)`

## Uses of JobManagerConfiguration in org.apache.sling.event.impl.jobs.tasks

Constructors in org.apache.sling.event.impl.jobs.tasks with parameters of type JobManagerConfiguration
Modifier
Constructor
Description
``
`CheckTopologyTask(JobManagerConfiguration config)`
Constructor
``
`CleanUpTask(JobManagerConfiguration config, JobSchedulerImpl jobScheduler)`
Constructor
``
`FindUnfinishedJobsTask(JobManagerConfiguration config)`
Constructor
``
`UpgradeTask(JobManagerConfiguration config)`
Constructor